# H245_CRCLength Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_crc8bit, e_crc16bit, e_crc32bit }

## Public Member Functions

| H245_CRCLength (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_CRCLength::Choices

Enumerator:

  e_crc8bit |
  e_crc16bit |
  e_crc32bit |

## Constructor & Destructor Documentation

H245_CRCLength::H245_CRCLength | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H245_CRCLength::CreateObject | ( |  | ) |

PObject* H245_CRCLength::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h